# DR11 - List accounting documents requests

Pagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date (desc by default)

Endpoint: GET /api/document-request/requests

## Query parameters:

  - `id` (string)
    Filter by accounting document request identifier.

  - `document_number` (string)
    Filter by accounting document number.

  - `date_created_from` (string)
    Filter accounting document requests created after the given date.

  - `date_created_to` (string)
    Filter accounting document requests created before the given date.

  - `last_updated_from` (string)
    Filter accounting document requests updated after the given date.

  - `last_updated_to` (string)
    Filter accounting document requests updated before the given date.

  - `issue_date_from` (string)
    Filter accounting document requests issued after the given date.

  - `issue_date_to` (string)
    Filter accounting document requests issued before the given date.

  - `state` (array)
    Filter by accounting document request state. This parameter can be supplied multiple times.
    Enum: "STAGING", "TO_PROCESS", "ISSUED", "CANCELED"

  - `type` (array)
    Filter by accounting document request type. This parameter can be supplied multiple times.
    Enum: "INVOICE", "CREDIT_NOTE"

  - `issuer_type` (array)
    Filter by accounting document request issuer type. This parameter can be supplied multiple times.
    Enum: "OPERATOR", "SHOP"

  - `entity_id` (array)
    Filter by accounting document request entity identifier. This parameter can be supplied multiple times.

The entity_type must be specified to use this filter, otherwise an error 400 will be returned.

Example: entity_id=order1-A&entity_id=order20-A&entity_type=PRODUCT_LOGISTIC_ORDER

  - `entity_type` (array)
    Filter by accounting document request entity type. This parameter can be supplied multiple times.
    Enum: "PRODUCT_LOGISTIC_ORDER", "SHOP_BILLING_CYCLE_PURCHASE_ORDER", "LOGISTIC_PURCHASE_ORDER", "FEES", "ONE_OFF_FEES"

  - `billing_cycle_from` (string)
    Filter accounting document requests generated by billing cycle after the given date.

This filter is only available for document requests of the type: SHOP_BILLING_CYCLE_PURCHASE_ORDER, FEES.

  - `billing_cycle_to` (string)
    Filter accounting document requests generated by billing cycle before the given date.

This filter is only available for document requests of the type: SHOP_BILLING_CYCLE_PURCHASE_ORDER, FEES.

  - `payment_state` (string)
    Filter by accounting document request payment state.

This filter is only available for document requests of the type: SHOP_BILLING_CYCLE_PURCHASE_ORDER, LOGISTIC_PURCHASE_ORDER, FEES.
    Enum: "PAID", "PENDING"

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.currency_iso_code` (string, required)
    The currency used for the accounting document request.
    Enum: "AED", "ARS", "AUD", "BAM", "BGN", "BHD", "BRL", "CAD", "CHF", "CLP", "CNY", "COP", "CZK", "DKK", "EGP", "EUR", "GBP", "GEL", "GTQ", "HKD", "HRK", "HUF", "IDR", "ILS", "INR", "IQD", "JOD", "JPY", "KES", "KRW", "KWD", "LKR", "MAD", "MGA", "MXN", "MYR", "NGN", "NOK", "NZD", "OMR", "PEN", "PHP", "PKR", "PLN", "QAR", "RON", "RSD", "RUB", "SAR", "SEK", "SGD", "TND", "TRY", "THB", "TWD", "UAH", "USD", "UYU", "UZS", "VND", "ZAR"

  - `data.date_created` (string, required)
    The accounting document request creation date.

  - `data.document_details` (array, required)
    Details about each accounting document representation.

  - `data.document_details.format` (string, required)
    The document format.
    Enum: "PDF", "cXML"

  - `data.document_number` (string)
    The accounting document number.

It is only populated once an accounting document has been issued (e.g. when state is ISSUED or CANCELED).

  - `data.document_upload_date` (string)
    The last upload date of the accounting document representations.

It is only populated once an accounting document has been issued (e.g. when state is ISSUED or CANCELED).

  - `data.due_date` (string, required)
    The accounting document due date.

  - `data.entities` (object)
    Node containing additional information depending on the type of the accounting document request.

Sub-fields are selectively populated depending on entity_type; see individual field descriptions.

  - `data.entities.delivery_bill_information` (array)
    The delivery bill information.

It may be provided when the accounting document request is LOGISTIC_PURCHASE_ORDER or PRODUCT_LOGISTIC_ORDER.

  - `data.entities.delivery_bill_information.delivery_bill_date` (string)
    The delivery bill date.

  - `data.entities.delivery_bill_information.delivery_bill_id` (string)
    The delivery bill identifier.

  - `data.entities.ship_to_iso_country_code` (string)
    The ISO country code of the ship-to destination.

It is only provided when the accounting document request is SHOP_BILLING_CYCLE_PURCHASE_ORDER.

  - `data.entities.shipping_information` (object)
    The shipping information.

It may be provided when the accounting document request is LOGISTIC_PURCHASE_ORDER.

  - `data.entities.shipping_information.ship_to_address` (object)
    The shipping address information.

  - `data.entities.shipping_information.ship_to_address.city` (string)
    The city of the shipping destination address.

  - `data.entities.shipping_information.ship_to_address.civility` (string)
    The civility or title of the recipient (e.g., Mr., Mrs., Dr.).

  - `data.entities.shipping_information.ship_to_address.company` (string)
    The company or organization name of the shipping destination.

  - `data.entities.shipping_information.ship_to_address.company2` (string)
    The secondary company or organization name of the shipping destination (e.g., department or subsidiary).

  - `data.entities.shipping_information.ship_to_address.country_iso_code` (string)
    The ISO 3166-1 alpha-3 country code of the shipping destination address.

  - `data.entities.shipping_information.ship_to_address.firstname` (string)
    The first name of the recipient.

  - `data.entities.shipping_information.ship_to_address.lastname` (string)
    The last name of the recipient.

  - `data.entities.shipping_information.ship_to_address.phone` (string)
    The primary phone number of the recipient.

  - `data.entities.shipping_information.ship_to_address.phone_secondary` (string)
    The secondary phone number of the recipient.

  - `data.entities.shipping_information.ship_to_address.state` (string)
    The state, province, or region of the shipping destination address.

  - `data.entities.shipping_information.ship_to_address.street1` (string)
    The primary line of the shipping destination street address (e.g., street number and name).

  - `data.entities.shipping_information.ship_to_address.street2` (string)
    The secondary line of the shipping destination street address (e.g., building, floor, or suite number).

  - `data.entities.shipping_information.ship_to_address.zip_code` (string)
    The postal or zip code of the shipping destination address.

  - `data.entities.shop_billing_cycle` (object)
    The shop billing cycle information.

It is only provided when the accounting document request is SHOP_BILLING_CYCLE_PURCHASE_ORDER or FEES.

  - `data.entities.shop_billing_cycle.date_from` (string)
    The start date of the shop billing cycle.

  - `data.entities.shop_billing_cycle.date_to` (string)
    The end date of the shop billing cycle.

  - `data.entity_date_created` (string)
    The creation date of the entity the accounting document request relates to.

This is not applicable when entity_type is SHOP_BILLING_CYCLE_PURCHASE_ORDER.

  - `data.entity_id` (string, required)
    The identifier of the entity the accounting document request relates to. The format varies by entity_type.

  - `data.entity_type` (string, required)
    The type of the entity the accounting document request relates to.
    Enum: "PRODUCT_LOGISTIC_ORDER", "SHOP_BILLING_CYCLE_PURCHASE_ORDER", "LOGISTIC_PURCHASE_ORDER", "FEES", "ONE_OFF_FEES"

  - `data.id` (string, required)
    The accounting document request unique identifier.

  - `data.initial_documents` (array)
    Information about the initial accounting document(s) or accounting document request(s).

It is only provided in the case of a CREDIT_NOTE or a reissued INVOICE.

  - `data.initial_documents.id` (string, required)
    The initial document request unique identifier.

  - `data.initial_documents.issue_date` (string, required)
    The initial document request issue date.

  - `data.initial_documents.number` (string)
    The initial accounting document number.

  - `data.initial_documents.type` (string, required)
    The initial document request type.
    Enum: "INVOICE", "CREDIT_NOTE"

  - `data.initial_payment_state` (string, required)
    The accounting document payment state when the document request was created.
    Enum: "PAID", "NOT_PAID"

  - `data.issue_date` (string, required)
    The accounting document request issue date.

  - `data.issuer` (object, required)
    The issuer details for the accounting document.

  - `data.issuer.id` (string)
    The issuer's identifier — either the operator's or the shop's billing information identifier.

  - `data.issuer.organization` (object, required)
    The issuer organization information.

  - `data.issuer.organization.address` (object, required)
    The address of the organization.

  - `data.issuer.organization.address.city` (string, required)
    Address city

  - `data.issuer.organization.address.country_iso_code` (string, required)
    Country ISO 3166-1 code of the address

  - `data.issuer.organization.address.state` (string)
    Address state

  - `data.issuer.organization.address.street_1` (string, required)
    First information line of the address street

  - `data.issuer.organization.address.street_2` (string)
    Second information line of the address street

  - `data.issuer.organization.address.zip_code` (string)
    Address zip code

  - `data.issuer.organization.business_activity_code` (string)
    The business activity code of the organization.

  - `data.issuer.organization.company_shareholders` (string)
    Indicates if there is a single shareholder or several shareholders.

  - `data.issuer.organization.electronic_address` (string)
    The organization’s electronic address used for e-invoice delivery. Can also be found as ‘Routing Identifier’ or ‘PEPPOL Participant ID’.

  - `data.issuer.organization.fiscal_representative` (object)
    The fiscal representative of the organization.

  - `data.issuer.organization.fiscal_representative.city` (string, required)
    The city where the fiscal representative is located.

  - `data.issuer.organization.fiscal_representative.civility` (string, required)
    The civility of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.company_registration_name` (string, required)
    The name of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.company_registration_number` (string, required)
    The registration number of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.country_iso_code` (string, required)
    The country ISO 3166-1 code of the fiscal representative address.

  - `data.issuer.organization.fiscal_representative.first_name` (string, required)
    The first name of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.last_name` (string, required)
    The last name of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.local_tax_number` (string)
    The VAT/GST number.

  - `data.issuer.organization.fiscal_representative.state` (string)
    The state/province/region where the fiscal representative is located.

  - `data.issuer.organization.fiscal_representative.street_1` (string, required)
    The first line of address of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.street_2` (string)
    The second line of address of the fiscal representative.

  - `data.issuer.organization.fiscal_representative.zip_code` (string)
    The Zip/Postal code corresponding to the fiscal representative location.

  - `data.issuer.organization.identification_number` (string)
    The identification number of the organization.

  - `data.issuer.organization.is_in_liquidation` (boolean)
    Indicates whether the company is in liquidation or not.

  - `data.issuer.organization.legal_form` (string)
    The legal form of the organization.

  - `data.issuer.organization.local_tax_number` (string)
    The VAT/GST number.

  - `data.issuer.organization.local_tax_number_country` (string)
    The local tax number country of the organization.

  - `data.issuer.organization.name` (string, required)
    The organization name.

  - `data.issuer.organization.personal_information` (object)
    The personal information of the organization.

  - `data.issuer.organization.personal_information.civility` (string)
    The civility of the shop owner.

  - `data.issuer.organization.personal_information.first_name` (string)
    The first name of the shop owner.

  - `data.issuer.organization.personal_information.last_name` (string)
    The last name of the shop owner.

  - `data.issuer.organization.phone_number` (string)
    The contact phone number of the organization.

  - `data.issuer.organization.share_capital` (number)
    The share capital of the organization.

  - `data.issuer.organization.share_capital_currency` (string)
    The share capital currency of the organization.

  - `data.issuer.organization.sole_trader` (boolean)
    Indicates if the organization is a sole trader.

  - `data.issuer.organization.tax_identification_number` (string)
    The tax identification number of the organization.

  - `data.issuer.organization.tax_number_country` (string)
    The tax number country of the organization.

  - `data.issuer.organization.trade_company_registration_location` (string)
    The trade company registration location of the organization.

  - `data.issuer.type` (string, required)
    The issuer's type.
    Enum: "OPERATOR", "SHOP"

  - `data.last_updated` (string, required)
    The accounting document request last updated date.

  - `data.payment` (object)
    The accounting document payment details.

It is only populated after the payment has been confirmed.

  - `data.payment.reference` (string)
    The payment transaction reference.

  - `data.payment.state` (string)
    The payment state.
    Enum: "PAID", "PENDING"

  - `data.payment.transaction_date` (string)
    The payment transaction date.

  - `data.payment_destination` (object)
    Information about how the accounting document payment should be settled.

  - `data.payment_destination.@type` (string, required)
    The payment destination type.
    Enum: "IBAN"

  - `data.payment_destination.payment_reference` (string)
    The payment reference for bank transfer.

  - `data.payment_terms` (object)
    The accounting document payment terms.

It is always provided when entity_type is SHOP_BILLING_CYCLE_PURCHASE_ORDER, LOGISTIC_PURCHASE_ORDER, FEES, ONE_OFF_FEES.
It is optional when entity_type is PRODUCT_LOGISTIC_ORDER.

  - `data.payment_terms.days` (integer)
    The number of days for the payment terms.

  - `data.payment_terms.type` (string)
    The payment terms type.

- END_OF_MONTH: payment is due after a number of calendar days following the invoice issue date, at the end of the given month.
- NET: payment is due after a number of calendar days following the invoice issue date.
    Enum: "END_OF_MONTH", "NET"

  - `data.recipient` (object)
    The recipient details for the accounting document.

  - `data.recipient.billing_address` (object, required)
    The billing address.

  - `data.recipient.billing_address.city` (string, required)
    The address city.

  - `data.recipient.billing_address.civility` (string)
    The civility of the person associated with the address.

  - `data.recipient.billing_address.company` (string)
    The company name.

  - `data.recipient.billing_address.company_2` (string)
    The secondary company information of the person associated with the address.

  - `data.recipient.billing_address.country` (string, required)
    The address country.

  - `data.recipient.billing_address.country_iso_code` (string)
    The ISO 3166-1 country code of the address.

  - `data.recipient.billing_address.firstname` (string)
    The first name of the person associated with the address.

  - `data.recipient.billing_address.lastname` (string, required)
    The last name of the person associated with the address.

  - `data.recipient.billing_address.state` (string)
    The address state.

  - `data.recipient.billing_address.street_1` (string, required)
    The first line of the address street.

  - `data.recipient.billing_address.street_2` (string)
    The second line of the address street.

  - `data.recipient.billing_address.zip_code` (string)
    The address zip code.

  - `data.recipient.id` (string, required)
    The recipient's identifier.

For a customer, this is the customer identifier.
For an operator, this is the operator's billing information identifier.

  - `data.recipient.locale` (string)
    The recipient's locale.

  - `data.recipient.organization` (object)
    The recipient organization, if any.

  - `data.recipient.organization.address` (object, required)
    The address of the organization.

  - `data.recipient.organization.address.city` (string, required)
    Address city

  - `data.recipient.organization.address.country_iso_code` (string, required)
    Country ISO 3166-1 code of the address

  - `data.recipient.organization.address.state` (string)
    Address state

  - `data.recipient.organization.address.street_1` (string, required)
    First information line of the address street

  - `data.recipient.organization.address.street_2` (string)
    Second information line of the address street

  - `data.recipient.organization.address.zip_code` (string)
    Address zip code

  - `data.recipient.organization.business_activity_code` (string)
    The business activity code of the organization.

  - `data.recipient.organization.company_shareholders` (string)
    Indicates if there is a single shareholder or several shareholders.

  - `data.recipient.organization.electronic_address` (string)
    The organization’s electronic address used for e-invoice delivery. Can also be found as ‘Routing Identifier’ or ‘PEPPOL Participant ID’.

  - `data.recipient.organization.identification_number` (string)
    The identification number of the organization.

  - `data.recipient.organization.is_in_liquidation` (boolean)
    Indicates whether the company is in liquidation or not.

  - `data.recipient.organization.legal_form` (string)
    The legal form of the organization.

  - `data.recipient.organization.local_tax_number` (string)
    The VAT/GST number.

  - `data.recipient.organization.local_tax_number_country` (string)
    The local tax number country of the organization.

  - `data.recipient.organization.name` (string, required)
    The organization name.

  - `data.recipient.organization.organization_id` (string)
    Identifier of the customer organization

  - `data.recipient.organization.phone_number` (string)
    The contact phone number of the organization.

  - `data.recipient.organization.share_capital` (number)
    The share capital of the organization.

  - `data.recipient.organization.share_capital_currency` (string)
    The share capital currency of the organization.

  - `data.recipient.organization.tax_identification_number` (string)
    The tax identification number of the organization.

  - `data.recipient.organization.tax_number_country` (string)
    The tax number country of the organization.

  - `data.recipient.organization.trade_company_registration_location` (string)
    The trade company registration location of the organization.

  - `data.recipient.shipping_address` (object)
    The shipping address.

  - `data.recipient.shipping_address.city` (string, required)
    The address city.

  - `data.recipient.shipping_address.civility` (string)
    The civility of the person associated with the address.

  - `data.recipient.shipping_address.company` (string)
    The company name.

  - `data.recipient.shipping_address.company_2` (string)
    The secondary company information of the person associated with the address.

  - `data.recipient.shipping_address.country` (string, required)
    The address country.

  - `data.recipient.shipping_address.country_iso_code` (string)
    The ISO 3166-1 country code of the address.

  - `data.recipient.shipping_address.firstname` (string)
    The first name of the person associated with the address.

  - `data.recipient.shipping_address.lastname` (string, required)
    The last name of the person associated with the address.

  - `data.recipient.shipping_address.state` (string)
    The address state.

  - `data.recipient.shipping_address.street_1` (string, required)
    The first line of the address street.

  - `data.recipient.shipping_address.street_2` (string)
    The second line of the address street.

  - `data.recipient.shipping_address.zip_code` (string)
    The address zip code.

  - `data.recipient.type` (string)
    The recipient type (customer, operator, or shop).

This is provided when entity_type is FEES or ONE_OFF_FEES.
    Enum: "CUSTOMER", "SHOP", "OPERATOR"

  - `data.state` (string, required)
    The accounting document request state.
    Enum: "STAGING", "TO_PROCESS", "ISSUED", "CANCELED"

  - `data.taxes` (array)
    A breakdown of total_tax_amount by tax code and rate.

  - `data.taxes.code` (string, required)
    The tax code.

  - `data.taxes.rate` (number)
    The tax rate.

  - `data.taxes.total_amount` (number, required)
    The total tax amount, aggregated by tax code and rate.

  - `data.total_amount_excluding_taxes` (number, required)
    The total amount for the accounting document, excluding taxes.

  - `data.total_amount_including_taxes` (number, required)
    The total amount for the accounting document, including taxes.

  - `data.total_tax_amount` (number, required)
    The total tax amount for the accounting document.

  - `data.type` (string, required)
    The accounting document request type.
    Enum: "INVOICE", "CREDIT_NOTE"

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.


